Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

apache2-mod_auth_kerb-5.4-lp151.3.3.1 RPM for aarch64

From OpenSuSE Ports Leap 15.1 updates for aarch64

Name: apache2-mod_auth_kerb Distribution: openSUSE Leap 15.1
Version: 5.4 Vendor: openSUSE
Release: lp151.3.3.1 Build date: Fri Aug 2 15:47:58 2019
Group: Productivity/Networking/Web/Servers Build host: obs-arm-7
Size: 150624 Source RPM: apache2-mod_auth_kerb-5.4-lp151.3.3.1.src.rpm
Packager: http://bugs.opensuse.org
Url: http://modauthkerb.sourceforge.net/
Summary: Kerberos Module for Apache
Mod_auth_kerb is an Apache module designed to provide Kerberos authentication to
the Apache web server. Using the Basic Auth mechanism, it retrieves a
username/password pair from the browser and checks them against a Kerberos
server as set up by your particular organization. The module also supports the
Negotiate authentication method, which performs full Kerberos authentication
based on ticket exchanges, and does not require users to insert their passwords
to the browser.

Provides

Requires

License

BSD-3-Clause and MIT and Apache-2.0

Changelog

* Wed Jul 24 2019 Kristyna Streitova <kstreitova@suse.com>
  - add mod_auth_kerb-5.4-auth_segfault.patch to fix a segmentation
    fault in function authenticate_user_krb5pwd() when credentials
    are supplied using basic authentication [bsc#1142545]
* Fri Oct 02 2015 pgajdos@suse.com
  - fix build for 11sp3 (add BuildRoot:)
* Wed Sep 23 2015 pgajdos@suse.com
  - test module with %apache_test_module_load
* Thu Jul 16 2015 pgajdos@suse.com
  - Requries: %{apache_suse_maintenance_mmn}
    This will pull this module to the update (in released distribution)
    when apache maintainer thinks it is good (due api/abi changes).
* Wed Jun 03 2015 hguo@suse.com
  - Clean up of spec file:
    * Fix unrecognised license name (Apache 2.0).
    * Remove build dependencies and macros for building on unsupported SUSE distros.
    * Remove expired macro "debug_package".
    * Fix URL link of the package.
    * Remove unnecessary "INSTALL" document file from file list.
* Tue May 26 2015 kstreitova@suse.com
  - add new licenses:
    * MIT - for mit-internals.h file
    * ASL 2.0 - for 0101-mod_auth_kerb-5.4-s4u2proxy.patch
* Mon May 11 2015 hguo@suse.com
  - Introduce upstream patches:
    * Support s4u2proxy operation.
    * Fix an issue that causes loss of delegation after first request on the connection.
    * Fix an issue that causes HTTP 500 error when user account name is longer than Kerberos principal name.
    * Consider authentication request successful when GSS_S_CONTINUE_NEEDED (multiple-exchange-request) is encountered.
    The existing patch for Apache2.4 compatibility has been re-aligned with the introduction of new patches.
* Fri Oct 31 2014 pgajdos@suse.com
  - call spec-cleaner
  - use apache rpm macros
* Fri Mar 28 2014 draht@suse.de
  - sles12 submission:
    * mod_auth_kerb.apache22.patch -> mod_auth_kerb.apache22+.patch
      make apache 2.2 modifications unconditional, as they are
      required by apache 2.4, too.
      This immediately means that compiling this package against
      apache 2.0 would not work.
    * rework mod_auth_kerb-5.4-apache24.patch into
      mod_auth_kerb-api_changes_apache24.patch: adaption to apache
      2.4 API, in particular logging and remote IP reference struct
      members.
* Sat Apr 06 2013 mc@suse.com
  - add support for apache 2.4
    mod_auth_kerb-5.4-apache24.patch
    http://sourceforge.net/tracker/?func=detail&aid=3521787&group_id=51775&atid=464526
  - new format for License

Files

/usr/lib64/apache2
/usr/lib64/apache2/mod_auth_kerb.so
/usr/share/doc/packages/apache2-mod_auth_kerb
/usr/share/doc/packages/apache2-mod_auth_kerb/LICENSE
/usr/share/doc/packages/apache2-mod_auth_kerb/README


Generated by rpm2html 1.8.1

Fabrice Bellet, Sun Sep 15 23:51:31 2019